Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl.jms
Class JMSTopicsContextImpl

    java.lang.Object
      org.richfaces.application.push.TopicsContext
          org.richfaces.application.push.impl.TopicsContextImpl
              org.richfaces.application.push.impl.jms.JMSTopicsContextImpl

    public class JMSTopicsContextImpl

extends TopicsContextImpl

Author:
  Nick Belaevski

Constructor Summary
`JMSTopicsContextImpl(java.util.concurrent.ThreadFactory threadFactory, javax.naming.InitialContext initialContext, javax.naming.Name connectionFactoryName, javax.naming.Name topicsNamespace, java.lang.String username, java.lang.String password)`

Method Summary
`protected org.richfaces.application.push.Topic` | `createTopic(org.richfaces.application.push.TopicKey key)`
`void` | `destroy()`
`static JMSTopicsContextImpl` | `getInstanceInitializedFromContext(java.util.concurrent.ThreadFactory threadFactory, javax.faces.context.FacesContext facesContext)`

Methods inherited from class org.richfaces.application.push.impl.TopicsContextImpl
`getPublisherService, getThreadFactory`

Methods inherited from class org.richfaces.application.push.TopicsContext
`getOrCreateTopic, getTopic, getTopicKeyWithResolvedExpressions, lookup, publish, removeTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSTopicsContextImpl

    public JMSTopicsContextImpl(java.util.concurrent.ThreadFactory threadFactory,
                                javax.naming.InitialContext initialContext,
                                javax.naming.Name connectionFactoryName,
                                javax.naming.Name topicsNamespace,
                                java.lang.String username,
                                java.lang.String password)

Method Detail

### getInstanceInitializedFromContext

    public static JMSTopicsContextImpl getInstanceInitializedFromContext(java.util.concurrent.ThreadFactory threadFactory,
                                                                         javax.faces.context.FacesContext facesContext)
                                                                  throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### createTopic

    protected org.richfaces.application.push.Topic createTopic(org.richfaces.application.push.TopicKey key)

  Overrides:
    `createTopic` in class `TopicsContextImpl`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `TopicsContextImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.